Name:               selectdefaultapplication
Version:            2.0

%global forgeurl https://github.com/magnus-ISU/%{name}
%global tag %{version}
%global date 20221015
%forgemeta

Release:            1%{?dist}
Summary:            Define default applications on Linux in a sane way
License:            GPL-2.0
URL:                %forgeurl
Source:             %forgesource

BuildRequires:      desktop-file-utils
BuildRequires:      qt6-qtbase-devel
BuildRequires:      qt6-rpm-macros

Requires:           hicolor-icon-theme

%description
A very simple application that lets you define default applications on Linux in a sane way.

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

#-----------------------------------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
%qmake_qt6
%make_build

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
install -m755 selectdefaultapplication "%{buildroot}%{_bindir}"
install -m644 selectdefaultapplication.desktop "%{buildroot}%{_datadir}/applications"
install -m644 selectdefaultapplication.png "%{buildroot}%{_datadir}/icons/hicolor/48x48/apps"

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

#-------------------------------------------------------------------------

%changelog
* Thu May 15 2025 Hazel Bunny <hazel_bunny@disroot.org> - 2.0-1
- Initial Package
